
/* Bear Transfer Protocol (BTP), a TCP/IP socket based file 
   transfer utility

  The author of this software is Ian Kaplan
  www.bearcave.com
  iank@bearcave.com

  Copyright (c) Ian Kaplan, 1999

  See "copyright" file for allowed use.

*/

#include "netinc.h"
#include <sys/timeb.h>

#include "neterr.h"
#include "netwrap.h"
#include "iowrap.h"
#include "commands.h"
#include "netio.h"
#include "interval.h"
#include "netfile.h"
#include "switch.h"
#include "netserv.h"
#include "heapsort.h"
#include "array.h"
#include "dirnames.h"
#include "list.h"
#include "strheap.h"
#include "readdir.h"
#include "comline.h"
#include "ftp_client.h"



main( int argc, char *argv[] )
{
  int sockfd;
  command_line_client comm_line( argc, argv );
  switchboard connection;
  ftp_client client( "May", 22, 1999 );
  netio netio_obj;
  const char *prog_name;

  prog_name = comm_line.get_prog_name();

  sockfd = connection.client_connect( comm_line.get_port(),
				      comm_line.get_sys_name() );

  // Check with server to see if there is an endian mismatch
  netio_obj.client_endian_check(sockfd);

  // print connection message
  connection.connect_message();

  client.process_commands( sockfd, prog_name );

  exit( 0 );
}
