
/* Bear Transfer Protocol (BTP), a TCP/IP socket based file 
   transfer utility

  The author of this software is Ian Kaplan
  www.bearcave.com
  iank@bearcave.com

  Copyright (c) Ian Kaplan, 1999

  See "copyright" file for allowed use.

*/

#include "netinc.h"

#include "neterr.h"
#include "netwrap.h"
#include "iowrap.h"
#include "commands.h"
#include "netio.h"
#include "interval.h"
#include "netfile.h"
#include "netserv.h"
#include "switch.h"
#include "list.h"
#include "strheap.h"
#include "readdir.h"
#include "comline.h"
#include "ftp_server.h"


void
main( int argc, char *argv[] )
{
  int connfd;
  command_line_server comm_line( argc, argv );
  const char *prog_name;
  switchboard connection;
  netio netio_obj;
  iowrap iofunc;
  ftp_server ftp_serv;

  prog_name = comm_line.get_prog_name();

  connfd = connection.server_accept( comm_line.get_port() );

  netio_obj.server_endian_check( connfd );
  ftp_serv.process_commands( connfd, prog_name );
  iofunc.Close( connfd );
} // main
