

/* Bear Transfer Protocol (BTP), a TCP/IP socket based file 
   transfer utility

  The author of this software is Ian Kaplan
  www.bearcave.com
  iank@bearcave.com

  Copyright (c) Ian Kaplan, 1999

  See "copyright" file for allowed use.

*/

#include "netinc.h"
#include "heapsort.h"


void heapsort::sift( size_t left, size_t size )
{
  size_t right;
  Boolean done;

  right = left * 2;
  done = FALSE;
  while (right <= size && ! done) {
    if (right < size && lessthan( right, right + 1 ))
      right++;
    if (lessthan(left, right)) {
      exchange( left, right );
      left = right;
      right = left * 2;
    }
    else {
      done = TRUE;
    }
  } // while
} // sift


void heapsort::sort(void)
{
  int max = get_size();
  int half = (max / 2) + 1;
  int size = max-1;
  
  while (half > 0) {
    half--;
    sift( half, size );
  }

  while (size > 0) {
    exchange( 0, size);
    size--;
    sift( half, size);
  }
} // sort
