
#ifndef _IOWRAP_H_
#define _IOWRAP_H_


/* Bear Transfer Protocol (BTP), a TCP/IP socket based file 
   transfer utility

  The author of this software is Ian Kaplan
  www.bearcave.com
  iank@bearcave.com

  Copyright (c) Ian Kaplan, 1999

  See "copyright" file for allowed use.

*/


/*
 * iowrap
 *

   Wrappers for file I/O and other file operations.

 */
class iowrap : private neterr {
public:
  FILE *Fopen(const char *file_name, const char *mode, const char *prog_name);
  size_t Fread( char *buf, size_t buf_size, FILE *fp,
		const char *file_name, const char *prog_name );

  Boolean Fwrite( char *buf, const int buf_size, FILE *fp, 
		  const char *file_name, const char *prog_name );
  char * Fgets(char *ptr, int n, FILE *stream);
  void Fputs(const char *ptr, FILE *stream);
  void Close( int fd );
  Boolean is_file( const char *file_name );
  Boolean is_dir( const char *file_name );
}; // iowrap

#endif
