
#ifndef _NETSTR_H_
#define _NETSTR_H_

/* 
  The author of this software is Ian Kaplan
  www.bearcave.com
  iank@bearcave.com

  Copyright (c) Ian Kaplan, 1999

  See "copyright" file for allowed use.

*/


/* 

  class netstr


  This class is not actually used in the BTP program.  It was
  suggested by the book "UNIX Network Programming: Networking APIs:
  Sockets and XTI", Volume I, second edition, by W. Richard Stevens.

  When I was learning to write client server code I did use the 
  string classes in a string echo program and they looked like
  they might come in handy at some point.

*/

class netstr : protected netio {
private:
  int read_cnt;
  char *read_ptr;
  char read_buf[ DATA_BUF_SIZE ];

private:
  int readline(int fd, void *vptr, size_t maxlen);

public:
  netstr()
  {
    read_cnt = 0;
    read_ptr = NULL;
  }
  char *get_str( int fd, char *str, unsigned int len );
  int get_char(int fd, char *pCh );
  int Readline(int fd, void *ptr, size_t maxlen);
}; // netstr

#endif
