
#ifndef _READDIR_H_
#define _READDIR_H_


/* Bear Transfer Protocol (BTP), a TCP/IP socket based file 
   transfer utility

  The author of this software is Ian Kaplan
  www.bearcave.com
  iank@bearcave.com

  Copyright (c) Ian Kaplan, 1999

  See "copyright" file for allowed use.

*/


/*
 * class readdir
 *

   This is an operating system independent class to support reading a
   directory and returning a list of file names.  The implementations
   of the class functions are machine dependent.

 */

class readdir {
private:
  typedef enum { PATH_SIZE = 128 } bogosity;
  void *cur_state;
  char path[ PATH_SIZE ];
  int path_len;
  
  string_heap strheap;

private:
  char path_sep(void);
  Boolean is_path_sep( char ch );
  char *get_head( char *dir_path );
  void set_path( const char *path );

  char *alloc_name( const char *dir_name );

public:
  readdir() 
  {
    cur_state = NULL;
    path[0] = '\0';
    path_len = 0;
  }

  ~readdir() { }
  
  char *first_file( const char *dir_path );
  char *next_file();
};

#endif
