
/* Bear Transfer Protocol (BTP), a TCP/IP socket based file 
   transfer utility

  The author of this software is Ian Kaplan
  www.bearcave.com
  iank@bearcave.com

  Copyright (c) Ian Kaplan, 1999

  See "copyright" file for allowed use.

*/

#include "netinc.h"
#include "list.h"
#include "strheap.h"

/*
 * free_strings
 *

   The "strings" list class variable contains a list
   of dynamicly allocated strings.  The free_strings()
   function will deallocate these strings.

 */
void string_heap::free_strings()
{
  LIST <char *>::handle h;
  char *pStr;

  for (h = strings.first(); h != NULL; h = strings.next( h )) {
    pStr = strings.get_item( h );
    strings.set_item( h, NULL );
    delete [] pStr;
  }
} // free_strings


/*
 * alloc_string
 *
 */
char *string_heap::alloc_string( const char *pStr )
{
  assert( pStr != NULL );

  int num_bytes;
  char *pNewStr;

  num_bytes = strlen( pStr ) + 1;
  
  pNewStr = new char[ num_bytes ];
  strcpy(pNewStr, pStr);
  strings.add( pNewStr );

  return pNewStr;
} // alloc_string

