
#ifndef _SWITCH_H_
#define _SWITCH_H_


/* Bear Transfer Protocol (BTP), a TCP/IP socket based file 
   transfer utility

  The author of this software is Ian Kaplan
  www.bearcave.com
  iank@bearcave.com

  Copyright (c) Ian Kaplan, 1999

  See "copyright" file for allowed use.

*/


/*

   The UNIX networking model is a bit like the old telephone
   system with patch cables and connection sockets.  This 
   class provides the server "accept" function, along with
   the client "connect" function.

 */

class switchboard : private netwrap
{
private:
  void WinInit(void);
  struct hostent *get_hostent( const char *server_name );
  void print_hostent( struct hostent *pHostent );
  void set_sockaddr( struct sockaddr_in *pSockAddr, 
		     int family, unsigned int port );
  void print_inet_addr( const char *pCh, const int len );

private:
  struct hostent *pHostent;  // hostent for currect connection

public:
  switchboard()
  {
    pHostent = NULL;
  }
  int server_accept( const unsigned int port );
  int client_connect( const unsigned int port,
		      const char *sys_name );
  void connect_message(void);
}; // switchboard


#endif
